#
# Xenomai Real-Time System
#
# Copyright (c) Siemens AG, 2019 - 2021
#
# Authors:
#  Quirin Gylstorff <quirin.gylstorff@siemens.com>
#
# SPDX-License-Identifier: MIT
#
# add lavacli to the container and install the ssh keys
# for the test infrastructure
.add-lava-ssh-config:
  before_script:
    - mkdir -p -m=700 ~/.ssh
    - if [ -n "$https_proxy" ]; then echo "ProxyCommand socat - PROXY:$(echo $https_proxy | sed 's|.*://\([^:]*\).*|\1|'):%h:%p,proxyport=$(echo $https_proxy | sed 's|.*:\([0-9]*\)$|\1|')" >> ~/.ssh/config && chmod 600 ~/.ssh/config; fi;
    - echo "$LAVA_SSH_UPLOAD_KEY" | tr -d '\r' > ~/.ssh/lava_id_rsa && chmod 600 ~/.ssh/lava_id_rsa
    - echo "$LAVA_SSH_KNOWN_HOSTS" >> ~/.ssh/known_hosts && chmod 644 ~/.ssh/known_hosts
.build:
  extends: .add-lava-ssh-config
  stage: build
  script:
    - kas build kas.yml:board-${TARGET}.yml${XENOMAI_BUILD_OPTION}${LINUX_BUILD_OPTION}${BUILD_OPTIONS}
  artifacts:
    paths:
    - build/tmp/deploy/images/${TARGET}/
    expire_in: 1 week
  only:
    variables:
      - $USE_GITLAB_ARTIFACTS

